### Method

# Cogl Pipeline set_depth_state

#### Declaration [src]

    gboolean
    cogl_pipeline_set_depth_state (
      CoglPipeline* pipeline,
      const CoglDepthState* state,
      GError** error
    )

#### Description [src]

This commits all the depth state configured in `state` struct to the given `pipeline`. The configuration values are copied into the pipeline so there is no requirement to keep the `CoglDepthState` struct around if you don’t need it any more.

Note: Since some platforms do not support the depth range feature it is possible for this function to fail and report an `error`.

#### Parameters

`state`

  Type: `CoglDepthState`

  A `CoglDepthState` struct.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the GPU supports all the given `state` else `FALSE` and returns an `error`.